package gov.va.med.esr.common.model.lookup;

import gov.va.med.fw.model.lookup.AbstractCode;
import gov.va.med.fw.model.lookup.AbstractNamedActiveLookup;

//Java Classes

//Library Classes

//Framework Classes

/**
 * @author Commons Team
 * 
 * @hibernate.mapping auto-import="true" default-cascade="all"
 * @hibernate.class table="POW_LOCATION" mutable="false"
 * @hibernate.cache usage="read-only"
 */
public class PrisonerOfWarLocation
    extends AbstractNamedActiveLookup
{
	
    private static final long serialVersionUID = -4532174158429781875L;
    public static final Code CODE_KOREA = new Code("7");
    public static class Code extends AbstractCode
    {
        /**
		 * An instance of serialVersionUID
		 */
		private static final long serialVersionUID = -2863330536219785627L;

		private Code(String code)
        {
            super(code);
        }

        public static Code getByCode(String code)
        {
            return (Code)getCode(Code.class, code);
        }
    }
    /**
     * Default constructor.
     */
	
    public PrisonerOfWarLocation()
    {
        super();
    }


}